#### 7.10.6.33 ncrepPencilCombine

Procedure from library `ncrat.lib` (see ncrat_lib).

Usage:
  matrix Q = ncrepPencilCombine(pencil);

Return:
  matrix Q = Q0*x0 + ... + Qg*xg,
  where vars = list(x0, ..., xg) consists of polynomials and matrices = (Q0, ..., Qg) is a list of matrices

Example:

    LIB "ncrat.lib";
    ncInit(list("x", "y"));
    ncrat f = ncratFromString("x*y");
    ncrep r = ncrepGet(f);
    print(r.mat);
    ==> 0, 0, x, -1,
    ==> 0, 1, -1,0,
    ==> y, -1,0, 0,
    ==> -1,0, 0, 0
    list l = ncrepPencilGet(r, list(x, y));
    matrix Q = ncrepPencilCombine(l);
    print(Q);
    ==> 0, 0, x, -1,
    ==> 0, 1, -1,0,
    ==> y, -1,0, 0,
    ==> -1,0, 0, 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.